Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153108 - Error in configure prevents php SRPM rebuild on x86_64 w/ mssql module
Summary: Error in configure prevents php SRPM rebuild on x86_64 w/ mssql module
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: php
Version: 4.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-01 16:41 UTC by Jay Lee
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-04 15:09:09 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:406 high SHIPPED_LIVE Moderate: PHP security update 2005-05-04 04:00:00 UTC

Description Jay Lee 2005-04-01 16:41:19 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.6) Gecko/20050322 Firefox/1.0.2 Red Hat/1.0.2-1.4.1

Description of problem:
Attempting to rebuild the php SRPM in order to add the php-mssql rpm will not work on x86_64.  The required FreeTDS library has been downloaded and built as an rpm.  However the ./configure script looks only in /usr/lib for the neccessary libtds.a while libtds.a is in /usr/lib64/ on x86_64 builds.

Version-Release number of selected component (if applicable):
4.3.0-3.2.x86_64

How reproducible:
Always

Steps to Reproduce:
On x86_64 system:

1.  Download the latest FreeTDS stable source:
wget ftp://ftp.ibiblio.org/pub/Linux/ALPHA/freetds/stable/freetds-stable.tgz

2.  Build freetds RPMS:
mv freetds-stable.tgz freetds-0.62.4.tar.gz; rpmbuild -ta freetds-0.62.4.tar.gz

3.  Install freetds and freetds-devel
  rpm -Uvh freetds-0.62.4-1.x86_64.rpm freetds-devel-0.62.4-1.x86_64.rpm

4.  Acquire php SRPM:
  up2date --get-source php

5.  Attempt to rebuild php with mssql support included:
  rpmbuild --rebuild --define '_with_mssql 1' \
  /var/spool/up2date/php-4.3.9-3.2.src.rpm

Fails with:

<snipped ./configure output>
checking for MSSQL support via FreeTDS... yes, shared
configure: error: Could not find /usr/lib/libtds.a


Actual Results:  rpmbuild fails, no php-mssql.x86_64 generated.

Expected Results:  rpmbuild succeeds and generates the needed php-mssql rpm

Additional info:

modifying php-4.3.9/ext/mssql/config.m4 to look for libtds.a in both lib and lib64 fixes the issue (patch not included because my I'm sure I didn't fix it the "right way", just works for me).

Comment 1 Joe Orton 2005-04-12 13:45:59 UTC
Please don't be afraid to attach patches, however ugly ;) But essentially yes
the hacky way is used in PHP 4.3.x.  I've fixed it more cleanly upstream.

Comment 2 Joe Orton 2005-04-22 16:07:28 UTC
An experimental test source RPM is available here:

http://people.redhat.com/jorton/Nahant-php/

which should fix this issue; please report any feedback from testing.

Comment 3 Josh Bressers 2005-05-04 15:09:09 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-406.html



Note You need to log in before you can comment on or make changes to this bug.